import { styled as o } from "@mui/material/styles";
import { COMPONENT_KEY_COMPONENT as t } from "../constants.js";
import { dragResizeWindowStyles as r } from "../DragResizeWindowRND.styles.js";
import { DragResizeWindowRNDSlots as e } from "./slots.js";
import { Rnd as i } from "react-rnd";
o("div", { name: t, slot: e.root })(
  r?.root
);
o("div", {
  name: t,
  slot: e.iconResizeFormatterRoot
})(r?.iconResizeFormatterRoot);
const a = o(i, {
  name: t,
  slot: e.rnd
})(r?.rnd);
export {
  a as RndStyled
};
